Makefile 40 KB

1234567891011121314151617181920212223242526272829303132333435363738394041424344454647484950515253545556575859606162636465666768697071727374757677787980818283848586878889909192939495969798991001011021031041051061071081091101111121131141151161171181191201211221231241251261271281291301311321331341351361371381391401411421431441451461471481491501511521531541551561571581591601611621631641651661671681691701711721731741751761771781791801811821831841851861871881891901911921931941951961971981992002012022032042052062072082092102112122132142152162172182192202212222232242252262272282292302312322332342352362372382392402412422432442452462472482492502512522532542552562572582592602612622632642652662672682692702712722732742752762772782792802812822832842852862872882892902912922932942952962972982993003013023033043053063073083093103113123133143153163173183193203213223233243253263273283293303313323333343353363373383393403413423433443453463473483493503513523533543553563573583593603613623633643653663673683693703713723733743753763773783793803813823833843853863873883893903913923933943953963973983994004014024034044054064074084094104114124134144154164174184194204214224234244254264274284294304314324334344354364374384394404414424434444454464474484494504514524534544554564574584594604614624634644654664674684694704714724734744754764774784794804814824834844854864874884894904914924934944954964974984995005015025035045055065075085095105115125135145155165175185195205215225235245255265275285295305315325335345355365375385395405415425435445455465475485495505515525535545555565575585595605615625635645655665675685695705715725735745755765775785795805815825835845855865875885895905915925935945955965975985996006016026036046056066076086096106116126136146156166176186196206216226236246256266276286296306316326336346356366376386396406416426436446456466476486496506516526536546556566576586596606616626636646656666676686696706716726736746756766776786796806816826836846856866876886896906916926936946956966976986997007017027037047057067077087097107117127137147157167177187197207217227237247257267277287297307317327337347357367377387397407417427437447457467477487497507517527537547557567577587597607617627637647657667677687697707717727737747757767777787797807817827837847857867877887897907917927937947957967977987998008018028038048058068078088098108118128138148158168178188198208218228238248258268278288298308318328338348358368378388398408418428438448458468478488498508518528538548558568578588598608618628638648658668678688698708718728738748758768778788798808818828838848858868878888898908918928938948958968978988999009019029039049059069079089099109119129139149159169179189199209219229239249259269279289299309319329339349359369379389399409419429439449459469479489499509519529539549559569579589599609619629639649659669679689699709719729739749759769779789799809819829839849859869879889899909919929939949959969979989991000100110021003100410051006100710081009101010111012101310141015101610171018101910201021102210231024102510261027102810291030103110321033103410351036103710381039104010411042104310441045104610471048104910501051105210531054105510561057105810591060106110621063106410651066106710681069107010711072107310741075107610771078107910801081108210831084108510861087108810891090109110921093109410951096109710981099110011011102110311041105110611071108110911101111111211131114111511161117111811191120112111221123112411251126112711281129113011311132113311341135113611371138113911401141114211431144114511461147114811491150115111521153115411551156115711581159116011611162116311641165116611671168116911701171117211731174117511761177117811791180
  1. # Makefile.in generated by automake 1.16.3 from Makefile.am.
  2. # modules/pam_debug/Makefile. Generated from Makefile.in by configure.
  3. # Copyright (C) 1994-2020 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. #
  12. # Copyright (c) 2005, 2006, 2009 Thorsten Kukuk <kukuk@thkukuk.de>
  13. #
  14. am__is_gnu_make = { \
  15. if test -z '$(MAKELEVEL)'; then \
  16. false; \
  17. elif test -n '$(MAKE_HOST)'; then \
  18. true; \
  19. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  20. true; \
  21. else \
  22. false; \
  23. fi; \
  24. }
  25. am__make_running_with_option = \
  26. case $${target_option-} in \
  27. ?) ;; \
  28. *) echo "am__make_running_with_option: internal error: invalid" \
  29. "target option '$${target_option-}' specified" >&2; \
  30. exit 1;; \
  31. esac; \
  32. has_opt=no; \
  33. sane_makeflags=$$MAKEFLAGS; \
  34. if $(am__is_gnu_make); then \
  35. sane_makeflags=$$MFLAGS; \
  36. else \
  37. case $$MAKEFLAGS in \
  38. *\\[\ \ ]*) \
  39. bs=\\; \
  40. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  41. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  42. esac; \
  43. fi; \
  44. skip_next=no; \
  45. strip_trailopt () \
  46. { \
  47. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  48. }; \
  49. for flg in $$sane_makeflags; do \
  50. test $$skip_next = yes && { skip_next=no; continue; }; \
  51. case $$flg in \
  52. *=*|--*) continue;; \
  53. -*I) strip_trailopt 'I'; skip_next=yes;; \
  54. -*I?*) strip_trailopt 'I';; \
  55. -*O) strip_trailopt 'O'; skip_next=yes;; \
  56. -*O?*) strip_trailopt 'O';; \
  57. -*l) strip_trailopt 'l'; skip_next=yes;; \
  58. -*l?*) strip_trailopt 'l';; \
  59. -[dEDm]) skip_next=yes;; \
  60. -[JT]) skip_next=yes;; \
  61. esac; \
  62. case $$flg in \
  63. *$$target_option*) has_opt=yes; break;; \
  64. esac; \
  65. done; \
  66. test $$has_opt = yes
  67. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  68. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  69. pkgdatadir = $(datadir)/Linux-PAM
  70. pkgincludedir = $(includedir)/Linux-PAM
  71. pkglibdir = $(libdir)/Linux-PAM
  72. pkglibexecdir = $(libexecdir)/Linux-PAM
  73. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  74. install_sh_DATA = $(install_sh) -c -m 644
  75. install_sh_PROGRAM = $(install_sh) -c
  76. install_sh_SCRIPT = $(install_sh) -c
  77. INSTALL_HEADER = $(INSTALL_DATA)
  78. transform = $(program_transform_name)
  79. NORMAL_INSTALL = :
  80. PRE_INSTALL = :
  81. POST_INSTALL = :
  82. NORMAL_UNINSTALL = :
  83. PRE_UNINSTALL = :
  84. POST_UNINSTALL = :
  85. build_triplet = x86_64-pc-linux-gnu
  86. host_triplet = arm-unknown-linux-gnueabihf
  87. am__append_1 = -Wl,--version-script=$(srcdir)/../modules.map
  88. check_PROGRAMS = tst-pam_debug-retval$(EXEEXT)
  89. subdir = modules/pam_debug
  90. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  91. am__aclocal_m4_deps = $(top_srcdir)/m4/attribute.m4 \
  92. $(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/iconv.m4 \
  93. $(top_srcdir)/m4/intlmacosx.m4 \
  94. $(top_srcdir)/m4/jh_path_xml_catalog.m4 \
  95. $(top_srcdir)/m4/ld-O1.m4 $(top_srcdir)/m4/ld-as-needed.m4 \
  96. $(top_srcdir)/m4/ld-no-undefined.m4 \
  97. $(top_srcdir)/m4/ld-z-now.m4 $(top_srcdir)/m4/lib-ld.m4 \
  98. $(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
  99. $(top_srcdir)/m4/libprelude.m4 $(top_srcdir)/m4/libtool.m4 \
  100. $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
  101. $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
  102. $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
  103. $(top_srcdir)/m4/progtest.m4 \
  104. $(top_srcdir)/m4/warn_lang_flags.m4 \
  105. $(top_srcdir)/m4/warnings.m4 $(top_srcdir)/configure.ac
  106. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  107. $(ACLOCAL_M4)
  108. DIST_COMMON = $(srcdir)/Makefile.am $(dist_check_SCRIPTS) \
  109. $(am__dist_noinst_DATA_DIST) $(am__DIST_COMMON)
  110. mkinstalldirs = $(install_sh) -d
  111. CONFIG_HEADER = $(top_builddir)/config.h
  112. CONFIG_CLEAN_FILES =
  113. CONFIG_CLEAN_VPATH_FILES =
  114. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  115. am__vpath_adj = case $$p in \
  116. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  117. *) f=$$p;; \
  118. esac;
  119. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  120. am__install_max = 40
  121. am__nobase_strip_setup = \
  122. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  123. am__nobase_strip = \
  124. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  125. am__nobase_list = $(am__nobase_strip_setup); \
  126. for p in $$list; do echo "$$p $$p"; done | \
  127. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  128. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  129. if (++n[$$2] == $(am__install_max)) \
  130. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  131. END { for (dir in files) print dir, files[dir] }'
  132. am__base_list = \
  133. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  134. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  135. am__uninstall_files_from_dir = { \
  136. test -z "$$files" \
  137. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  138. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  139. $(am__cd) "$$dir" && rm -f $$files; }; \
  140. }
  141. am__installdirs = "$(DESTDIR)$(securelibdir)" "$(DESTDIR)$(man8dir)"
  142. LTLIBRARIES = $(securelib_LTLIBRARIES)
  143. pam_debug_la_DEPENDENCIES = $(top_builddir)/libpam/libpam.la
  144. pam_debug_la_SOURCES = pam_debug.c
  145. pam_debug_la_OBJECTS = pam_debug.lo
  146. AM_V_lt = $(am__v_lt_$(V))
  147. am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
  148. am__v_lt_0 = --silent
  149. am__v_lt_1 =
  150. tst_pam_debug_retval_SOURCES = tst-pam_debug-retval.c
  151. tst_pam_debug_retval_OBJECTS = tst-pam_debug-retval.$(OBJEXT)
  152. tst_pam_debug_retval_DEPENDENCIES = $(top_builddir)/libpam/libpam.la
  153. AM_V_P = $(am__v_P_$(V))
  154. am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
  155. am__v_P_0 = false
  156. am__v_P_1 = :
  157. AM_V_GEN = $(am__v_GEN_$(V))
  158. am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
  159. am__v_GEN_0 = @echo " GEN " $@;
  160. am__v_GEN_1 =
  161. AM_V_at = $(am__v_at_$(V))
  162. am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
  163. am__v_at_0 = @
  164. am__v_at_1 =
  165. DEFAULT_INCLUDES = -I. -I$(top_builddir)
  166. depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
  167. am__maybe_remake_depfiles = depfiles
  168. am__depfiles_remade = ./$(DEPDIR)/pam_debug.Plo \
  169. ./$(DEPDIR)/tst-pam_debug-retval.Po
  170. am__mv = mv -f
  171. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  172. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  173. LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  174. $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
  175. $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  176. $(AM_CFLAGS) $(CFLAGS)
  177. AM_V_CC = $(am__v_CC_$(V))
  178. am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
  179. am__v_CC_0 = @echo " CC " $@;
  180. am__v_CC_1 =
  181. CCLD = $(CC)
  182. LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  183. $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
  184. $(AM_LDFLAGS) $(LDFLAGS) -o $@
  185. AM_V_CCLD = $(am__v_CCLD_$(V))
  186. am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
  187. am__v_CCLD_0 = @echo " CCLD " $@;
  188. am__v_CCLD_1 =
  189. SOURCES = pam_debug.c tst-pam_debug-retval.c
  190. DIST_SOURCES = pam_debug.c tst-pam_debug-retval.c
  191. am__can_run_installinfo = \
  192. case $$AM_UPDATE_INFO_DIR in \
  193. n|no|NO) false;; \
  194. *) (install-info --version) >/dev/null 2>&1;; \
  195. esac
  196. man8dir = $(mandir)/man8
  197. NROFF = nroff
  198. MANS = $(dist_man_MANS)
  199. am__dist_noinst_DATA_DIST = README
  200. DATA = $(dist_noinst_DATA)
  201. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  202. # Read a list of newline-separated strings from the standard input,
  203. # and print each of them once, without duplicates. Input order is
  204. # *not* preserved.
  205. am__uniquify_input = $(AWK) '\
  206. BEGIN { nonempty = 0; } \
  207. { items[$$0] = 1; nonempty = 1; } \
  208. END { if (nonempty) { for (i in items) print i; }; } \
  209. '
  210. # Make sure the list of sources is unique. This is necessary because,
  211. # e.g., the same source file might be shared among _SOURCES variables
  212. # for different programs/libraries.
  213. am__define_uniq_tagged_files = \
  214. list='$(am__tagged_files)'; \
  215. unique=`for i in $$list; do \
  216. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  217. done | $(am__uniquify_input)`
  218. ETAGS = etags
  219. CTAGS = ctags
  220. am__tty_colors_dummy = \
  221. mgn= red= grn= lgn= blu= brg= std=; \
  222. am__color_tests=no
  223. am__tty_colors = { \
  224. $(am__tty_colors_dummy); \
  225. if test "X$(AM_COLOR_TESTS)" = Xno; then \
  226. am__color_tests=no; \
  227. elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  228. am__color_tests=yes; \
  229. elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  230. am__color_tests=yes; \
  231. fi; \
  232. if test $$am__color_tests = yes; then \
  233. red=''; \
  234. grn=''; \
  235. lgn=''; \
  236. blu=''; \
  237. mgn=''; \
  238. brg=''; \
  239. std=''; \
  240. fi; \
  241. }
  242. am__recheck_rx = ^[ ]*:recheck:[ ]*
  243. am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
  244. am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
  245. # A command that, given a newline-separated list of test names on the
  246. # standard input, print the name of the tests that are to be re-run
  247. # upon "make recheck".
  248. am__list_recheck_tests = $(AWK) '{ \
  249. recheck = 1; \
  250. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  251. { \
  252. if (rc < 0) \
  253. { \
  254. if ((getline line2 < ($$0 ".log")) < 0) \
  255. recheck = 0; \
  256. break; \
  257. } \
  258. else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  259. { \
  260. recheck = 0; \
  261. break; \
  262. } \
  263. else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  264. { \
  265. break; \
  266. } \
  267. }; \
  268. if (recheck) \
  269. print $$0; \
  270. close ($$0 ".trs"); \
  271. close ($$0 ".log"); \
  272. }'
  273. # A command that, given a newline-separated list of test names on the
  274. # standard input, create the global log from their .trs and .log files.
  275. am__create_global_log = $(AWK) ' \
  276. function fatal(msg) \
  277. { \
  278. print "fatal: making $@: " msg | "cat >&2"; \
  279. exit 1; \
  280. } \
  281. function rst_section(header) \
  282. { \
  283. print header; \
  284. len = length(header); \
  285. for (i = 1; i <= len; i = i + 1) \
  286. printf "="; \
  287. printf "\n\n"; \
  288. } \
  289. { \
  290. copy_in_global_log = 1; \
  291. global_test_result = "RUN"; \
  292. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  293. { \
  294. if (rc < 0) \
  295. fatal("failed to read from " $$0 ".trs"); \
  296. if (line ~ /$(am__global_test_result_rx)/) \
  297. { \
  298. sub("$(am__global_test_result_rx)", "", line); \
  299. sub("[ ]*$$", "", line); \
  300. global_test_result = line; \
  301. } \
  302. else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  303. copy_in_global_log = 0; \
  304. }; \
  305. if (copy_in_global_log) \
  306. { \
  307. rst_section(global_test_result ": " $$0); \
  308. while ((rc = (getline line < ($$0 ".log"))) != 0) \
  309. { \
  310. if (rc < 0) \
  311. fatal("failed to read from " $$0 ".log"); \
  312. print line; \
  313. }; \
  314. printf "\n"; \
  315. }; \
  316. close ($$0 ".trs"); \
  317. close ($$0 ".log"); \
  318. }'
  319. # Restructured Text title.
  320. am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  321. # Solaris 10 'make', and several other traditional 'make' implementations,
  322. # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
  323. # by disabling -e (using the XSI extension "set +e") if it's set.
  324. am__sh_e_setup = case $$- in *e*) set +e;; esac
  325. # Default flags passed to test drivers.
  326. am__common_driver_flags = \
  327. --color-tests "$$am__color_tests" \
  328. --enable-hard-errors "$$am__enable_hard_errors" \
  329. --expect-failure "$$am__expect_failure"
  330. # To be inserted before the command running the test. Creates the
  331. # directory for the log if needed. Stores in $dir the directory
  332. # containing $f, in $tst the test, in $log the log. Executes the
  333. # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  334. # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
  335. # will run the test scripts (or their associated LOG_COMPILER, if
  336. # thy have one).
  337. am__check_pre = \
  338. $(am__sh_e_setup); \
  339. $(am__vpath_adj_setup) $(am__vpath_adj) \
  340. $(am__tty_colors); \
  341. srcdir=$(srcdir); export srcdir; \
  342. case "$@" in \
  343. */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
  344. *) am__odir=.;; \
  345. esac; \
  346. test "x$$am__odir" = x"." || test -d "$$am__odir" \
  347. || $(MKDIR_P) "$$am__odir" || exit $$?; \
  348. if test -f "./$$f"; then dir=./; \
  349. elif test -f "$$f"; then dir=; \
  350. else dir="$(srcdir)/"; fi; \
  351. tst=$$dir$$f; log='$@'; \
  352. if test -n '$(DISABLE_HARD_ERRORS)'; then \
  353. am__enable_hard_errors=no; \
  354. else \
  355. am__enable_hard_errors=yes; \
  356. fi; \
  357. case " $(XFAIL_TESTS) " in \
  358. *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
  359. am__expect_failure=yes;; \
  360. *) \
  361. am__expect_failure=no;; \
  362. esac; \
  363. $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  364. # A shell command to get the names of the tests scripts with any registered
  365. # extension removed (i.e., equivalently, the names of the test logs, with
  366. # the '.log' extension removed). The result is saved in the shell variable
  367. # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
  368. # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  369. # since that might cause problem with VPATH rewrites for suffix-less tests.
  370. # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  371. am__set_TESTS_bases = \
  372. bases='$(TEST_LOGS)'; \
  373. bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  374. bases=`echo $$bases`
  375. AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
  376. RECHECK_LOGS = $(TEST_LOGS)
  377. AM_RECURSIVE_TARGETS = check recheck
  378. TEST_SUITE_LOG = test-suite.log
  379. TEST_EXTENSIONS = .test
  380. LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  381. LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  382. am__set_b = \
  383. case '$@' in \
  384. */*) \
  385. case '$*' in \
  386. */*) b='$*';; \
  387. *) b=`echo '$@' | sed 's/\.log$$//'`; \
  388. esac;; \
  389. *) \
  390. b='$*';; \
  391. esac
  392. am__test_logs1 = $(TESTS:=.log)
  393. am__test_logs2 = $(am__test_logs1:.log=.log)
  394. TEST_LOGS = $(am__test_logs2:.test.log=.log)
  395. TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  396. TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  397. $(TEST_LOG_FLAGS)
  398. am__DIST_COMMON = $(dist_man_MANS) $(srcdir)/Makefile.in \
  399. $(top_srcdir)/build-aux/depcomp \
  400. $(top_srcdir)/build-aux/test-driver
  401. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  402. ACLOCAL = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' aclocal-1.16
  403. AMTAR = $${TAR-tar}
  404. AM_DEFAULT_VERBOSITY = 1
  405. AR = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-ar
  406. AUTOCONF = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' autoconf
  407. AUTOHEADER = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' autoheader
  408. AUTOMAKE = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' automake-1.16
  409. AWK = gawk
  410. BROWSER =
  411. BUILD_CFLAGS =
  412. BUILD_CPPFLAGS =
  413. BUILD_LDFLAGS =
  414. CC = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc
  415. CCDEPMODE = depmode=gcc3
  416. CC_FOR_BUILD = gcc
  417. CFLAGS = -g -O2
  418. CPP = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc -E
  419. CPPFLAGS =
  420. CRYPTO_LIBS =
  421. CRYPT_CFLAGS =
  422. CRYPT_LIBS = -lcrypt
  423. CYGPATH_W = echo
  424. DEFS = -DHAVE_CONFIG_H
  425. DEPDIR = .deps
  426. DLLTOOL = false
  427. DSYMUTIL =
  428. DUMPBIN = :
  429. ECHO_C =
  430. ECHO_N = -n
  431. ECHO_T =
  432. ECONF_CFLAGS =
  433. ECONF_LIBS =
  434. EGREP = /bin/grep -E
  435. EXEEXT =
  436. EXE_CFLAGS = -fpie
  437. EXE_LDFLAGS = -pie -Wl,-z,now
  438. FGREP = /bin/grep -F
  439. FO2PDF =
  440. GETTEXT_MACRO_VERSION = 0.18
  441. GMSGFMT = /usr/bin/msgfmt
  442. GMSGFMT_015 = /usr/bin/msgfmt
  443. GREP = /bin/grep
  444. INSTALL = /usr/bin/install -c
  445. INSTALL_DATA = ${INSTALL} -m 644
  446. INSTALL_PROGRAM = ${INSTALL}
  447. INSTALL_SCRIPT = ${INSTALL}
  448. INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
  449. INTLLIBS =
  450. INTL_MACOSX_LIBS =
  451. LD = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/arm-linux-gnueabihf/bin/ld
  452. LDFLAGS = -Wl,--as-needed -Wl,--no-undefined -Wl,-O1
  453. LEX = flex
  454. LEXLIB = -lfl
  455. LEX_OUTPUT_ROOT = lex.yy
  456. LIBAUDIT =
  457. LIBCRYPT = -lcrypt
  458. LIBDB =
  459. LIBDL = -ldl
  460. LIBICONV = -liconv
  461. LIBINTL =
  462. LIBOBJS = ${LIBOBJDIR}memcmp$U.o
  463. LIBPRELUDE_CFLAGS =
  464. LIBPRELUDE_CONFIG = no
  465. LIBPRELUDE_CONFIG_PREFIX =
  466. LIBPRELUDE_LDFLAGS =
  467. LIBPRELUDE_LIBS =
  468. LIBPRELUDE_PREFIX =
  469. LIBPRELUDE_PTHREAD_CFLAGS =
  470. LIBS =
  471. LIBSELINUX =
  472. LIBTOOL = $(SHELL) $(top_builddir)/libtool
  473. LIPO =
  474. LN_S = ln -s
  475. LTLIBICONV = -liconv
  476. LTLIBINTL =
  477. LTLIBOBJS = ${LIBOBJDIR}memcmp$U.lo
  478. LT_SYS_LIBRARY_PATH =
  479. MAKEINFO = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' makeinfo
  480. MANIFEST_TOOL = :
  481. MKDIR_P = /bin/mkdir -p
  482. MSGFMT = /usr/bin/msgfmt
  483. MSGFMT_015 = /usr/bin/msgfmt
  484. MSGMERGE = /usr/bin/msgmerge
  485. NIS_CFLAGS =
  486. NIS_LIBS =
  487. NM = nm
  488. NMEDIT =
  489. NSL_CFLAGS =
  490. NSL_LIBS = -lnsl
  491. OBJDUMP = objdump
  492. OBJEXT = o
  493. OTOOL =
  494. OTOOL64 =
  495. PACKAGE = Linux-PAM
  496. PACKAGE_BUGREPORT =
  497. PACKAGE_NAME = Linux-PAM
  498. PACKAGE_STRING = Linux-PAM 1.5.2
  499. PACKAGE_TARNAME = Linux-PAM
  500. PACKAGE_URL =
  501. PACKAGE_VERSION = 1.5.2
  502. PATH_SEPARATOR = :
  503. PKG_CONFIG = /usr/bin/pkg-config
  504. PKG_CONFIG_LIBDIR =
  505. PKG_CONFIG_PATH =
  506. POSUB = po
  507. RANLIB = ranlib
  508. SCONFIGDIR = ${prefix}/etc/security
  509. SECUREDIR = ${exec_prefix}/lib/security
  510. SED = /bin/sed
  511. SET_MAKE =
  512. SHELL = /bin/bash
  513. STRINGPARAM_HMAC =
  514. STRINGPARAM_VENDORDIR = --stringparam vendordir '<vendordir>'
  515. STRIP = strip
  516. TIRPC_CFLAGS =
  517. TIRPC_LIBS =
  518. USE_NLS = yes
  519. VERSION = 1.5.2
  520. WARN_CFLAGS = -W -Wall -Wbad-function-cast -Wcast-align -Wcast-qual -Wdeprecated -Winline -Wmain -Wmissing-declarations -Wmissing-format-attribute -Wmissing-prototypes -Wpointer-arith -Wreturn-type -Wshadow -Wstrict-prototypes -Wuninitialized -Wwrite-strings
  521. XGETTEXT = /usr/bin/xgettext
  522. XGETTEXT_015 = /usr/bin/xgettext
  523. XGETTEXT_EXTRA_OPTIONS =
  524. XMLCATALOG = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/armv7ahf-neon-linux-gnueabi/usr/bin/xmlcatalog
  525. XMLLINT = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/armv7ahf-neon-linux-gnueabi/usr/bin/xmllint
  526. XML_CATALOG_FILE = /etc/xml/catalog
  527. XSLTPROC = /usr/bin/xsltproc
  528. YACC = bison -y
  529. YFLAGS =
  530. abs_builddir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/modules/pam_debug
  531. abs_srcdir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/modules/pam_debug
  532. abs_top_builddir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2
  533. abs_top_srcdir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2
  534. ac_ct_AR =
  535. ac_ct_CC =
  536. ac_ct_DUMPBIN = link -dump
  537. am__include = include
  538. am__leading_dot = .
  539. am__quote =
  540. am__tar = $${TAR-tar} chof - "$$tardir"
  541. am__untar = $${TAR-tar} xf -
  542. bindir = ${exec_prefix}/bin
  543. build = x86_64-pc-linux-gnu
  544. build_alias =
  545. build_cpu = x86_64
  546. build_os = linux-gnu
  547. build_vendor = pc
  548. builddir = .
  549. datadir = ${datarootdir}
  550. datarootdir = ${prefix}/share
  551. docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
  552. dvidir = ${docdir}
  553. exec_prefix = ${prefix}
  554. host = arm-unknown-linux-gnueabihf
  555. host_alias = arm-linux-gnueabihf
  556. host_cpu = arm
  557. host_os = linux-gnueabihf
  558. host_vendor = unknown
  559. htmldir = ${docdir}
  560. includedir = ${prefix}/include
  561. infodir = ${datarootdir}/info
  562. install_sh = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/install-sh
  563. libdir = ${exec_prefix}/lib
  564. libexecdir = ${exec_prefix}/libexec
  565. localedir = ${datarootdir}/locale
  566. localstatedir = ${prefix}/var
  567. mandir = ${datarootdir}/man
  568. mkdir_p = $(MKDIR_P)
  569. oldincludedir = /usr/include
  570. pam_xauth_path = /usr/bin/xauth
  571. pdfdir = ${docdir}
  572. prefix = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/release
  573. program_transform_name = s,x,x,
  574. psdir = ${docdir}
  575. sbindir = ${exec_prefix}/sbin
  576. sharedstatedir = ${prefix}/com
  577. srcdir = .
  578. sysconfdir = ${prefix}/etc
  579. systemdunitdir =
  580. target_alias =
  581. top_build_prefix = ../../
  582. top_builddir = ../..
  583. top_srcdir = ../..
  584. CLEANFILES = *~
  585. MAINTAINERCLEANFILES = $(MANS) README
  586. EXTRA_DIST = $(XMLS)
  587. #dist_man_MANS = pam_debug.8
  588. XMLS = README.xml pam_debug.8.xml
  589. dist_check_SCRIPTS = tst-pam_debug
  590. TESTS = $(dist_check_SCRIPTS) $(check_PROGRAMS)
  591. securelibdir = $(SECUREDIR)
  592. secureconfdir = $(SCONFIGDIR)
  593. AM_CFLAGS = -I$(top_srcdir)/libpam/include -I$(top_srcdir)/libpamc/include \
  594. $(WARN_CFLAGS)
  595. AM_LDFLAGS = -no-undefined -avoid-version -module $(am__append_1)
  596. securelib_LTLIBRARIES = pam_debug.la
  597. pam_debug_la_LIBADD = $(top_builddir)/libpam/libpam.la
  598. tst_pam_debug_retval_LDADD = $(top_builddir)/libpam/libpam.la
  599. #dist_noinst_DATA = README
  600. all: all-am
  601. .SUFFIXES:
  602. .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
  603. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  604. @for dep in $?; do \
  605. case '$(am__configure_deps)' in \
  606. *$$dep*) \
  607. ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  608. && { if test -f $@; then exit 0; else break; fi; }; \
  609. exit 1;; \
  610. esac; \
  611. done; \
  612. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu modules/pam_debug/Makefile'; \
  613. $(am__cd) $(top_srcdir) && \
  614. $(AUTOMAKE) --gnu modules/pam_debug/Makefile
  615. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  616. @case '$?' in \
  617. *config.status*) \
  618. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  619. *) \
  620. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
  621. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
  622. esac;
  623. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  624. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  625. $(top_srcdir)/configure: $(am__configure_deps)
  626. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  627. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  628. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  629. $(am__aclocal_m4_deps):
  630. clean-checkPROGRAMS:
  631. @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
  632. echo " rm -f" $$list; \
  633. rm -f $$list || exit $$?; \
  634. test -n "$(EXEEXT)" || exit 0; \
  635. list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
  636. echo " rm -f" $$list; \
  637. rm -f $$list
  638. install-securelibLTLIBRARIES: $(securelib_LTLIBRARIES)
  639. @$(NORMAL_INSTALL)
  640. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  641. list2=; for p in $$list; do \
  642. if test -f $$p; then \
  643. list2="$$list2 $$p"; \
  644. else :; fi; \
  645. done; \
  646. test -z "$$list2" || { \
  647. echo " $(MKDIR_P) '$(DESTDIR)$(securelibdir)'"; \
  648. $(MKDIR_P) "$(DESTDIR)$(securelibdir)" || exit 1; \
  649. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(securelibdir)'"; \
  650. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(securelibdir)"; \
  651. }
  652. uninstall-securelibLTLIBRARIES:
  653. @$(NORMAL_UNINSTALL)
  654. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  655. for p in $$list; do \
  656. $(am__strip_dir) \
  657. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(securelibdir)/$$f'"; \
  658. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(securelibdir)/$$f"; \
  659. done
  660. clean-securelibLTLIBRARIES:
  661. -test -z "$(securelib_LTLIBRARIES)" || rm -f $(securelib_LTLIBRARIES)
  662. @list='$(securelib_LTLIBRARIES)'; \
  663. locs=`for p in $$list; do echo $$p; done | \
  664. sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
  665. sort -u`; \
  666. test -z "$$locs" || { \
  667. echo rm -f $${locs}; \
  668. rm -f $${locs}; \
  669. }
  670. pam_debug.la: $(pam_debug_la_OBJECTS) $(pam_debug_la_DEPENDENCIES) $(EXTRA_pam_debug_la_DEPENDENCIES)
  671. $(AM_V_CCLD)$(LINK) -rpath $(securelibdir) $(pam_debug_la_OBJECTS) $(pam_debug_la_LIBADD) $(LIBS)
  672. tst-pam_debug-retval$(EXEEXT): $(tst_pam_debug_retval_OBJECTS) $(tst_pam_debug_retval_DEPENDENCIES) $(EXTRA_tst_pam_debug_retval_DEPENDENCIES)
  673. @rm -f tst-pam_debug-retval$(EXEEXT)
  674. $(AM_V_CCLD)$(LINK) $(tst_pam_debug_retval_OBJECTS) $(tst_pam_debug_retval_LDADD) $(LIBS)
  675. mostlyclean-compile:
  676. -rm -f *.$(OBJEXT)
  677. distclean-compile:
  678. -rm -f *.tab.c
  679. include ./$(DEPDIR)/pam_debug.Plo # am--include-marker
  680. include ./$(DEPDIR)/tst-pam_debug-retval.Po # am--include-marker
  681. $(am__depfiles_remade):
  682. @$(MKDIR_P) $(@D)
  683. @echo '# dummy' >$@-t && $(am__mv) $@-t $@
  684. am--depfiles: $(am__depfiles_remade)
  685. .c.o:
  686. $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  687. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  688. # $(AM_V_CC)source='$<' object='$@' libtool=no \
  689. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  690. # $(AM_V_CC_no)$(COMPILE) -c -o $@ $<
  691. .c.obj:
  692. $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  693. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  694. # $(AM_V_CC)source='$<' object='$@' libtool=no \
  695. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  696. # $(AM_V_CC_no)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  697. .c.lo:
  698. $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  699. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
  700. # $(AM_V_CC)source='$<' object='$@' libtool=yes \
  701. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  702. # $(AM_V_CC_no)$(LTCOMPILE) -c -o $@ $<
  703. mostlyclean-libtool:
  704. -rm -f *.lo
  705. clean-libtool:
  706. -rm -rf .libs _libs
  707. install-man8: $(dist_man_MANS)
  708. @$(NORMAL_INSTALL)
  709. @list1=''; \
  710. list2='$(dist_man_MANS)'; \
  711. test -n "$(man8dir)" \
  712. && test -n "`echo $$list1$$list2`" \
  713. || exit 0; \
  714. echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
  715. $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
  716. { for i in $$list1; do echo "$$i"; done; \
  717. if test -n "$$list2"; then \
  718. for i in $$list2; do echo "$$i"; done \
  719. | sed -n '/\.8[a-z]*$$/p'; \
  720. fi; \
  721. } | while read p; do \
  722. if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  723. echo "$$d$$p"; echo "$$p"; \
  724. done | \
  725. sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  726. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  727. sed 'N;N;s,\n, ,g' | { \
  728. list=; while read file base inst; do \
  729. if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  730. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
  731. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
  732. fi; \
  733. done; \
  734. for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  735. while read files; do \
  736. test -z "$$files" || { \
  737. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
  738. $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
  739. done; }
  740. uninstall-man8:
  741. @$(NORMAL_UNINSTALL)
  742. @list=''; test -n "$(man8dir)" || exit 0; \
  743. files=`{ for i in $$list; do echo "$$i"; done; \
  744. l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  745. sed -n '/\.8[a-z]*$$/p'; \
  746. } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  747. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  748. dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
  749. ID: $(am__tagged_files)
  750. $(am__define_uniq_tagged_files); mkid -fID $$unique
  751. tags: tags-am
  752. TAGS: tags
  753. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  754. set x; \
  755. here=`pwd`; \
  756. $(am__define_uniq_tagged_files); \
  757. shift; \
  758. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  759. test -n "$$unique" || unique=$$empty_fix; \
  760. if test $$# -gt 0; then \
  761. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  762. "$$@" $$unique; \
  763. else \
  764. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  765. $$unique; \
  766. fi; \
  767. fi
  768. ctags: ctags-am
  769. CTAGS: ctags
  770. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  771. $(am__define_uniq_tagged_files); \
  772. test -z "$(CTAGS_ARGS)$$unique" \
  773. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  774. $$unique
  775. GTAGS:
  776. here=`$(am__cd) $(top_builddir) && pwd` \
  777. && $(am__cd) $(top_srcdir) \
  778. && gtags -i $(GTAGS_ARGS) "$$here"
  779. cscopelist: cscopelist-am
  780. cscopelist-am: $(am__tagged_files)
  781. list='$(am__tagged_files)'; \
  782. case "$(srcdir)" in \
  783. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  784. *) sdir=$(subdir)/$(srcdir) ;; \
  785. esac; \
  786. for i in $$list; do \
  787. if test -f "$$i"; then \
  788. echo "$(subdir)/$$i"; \
  789. else \
  790. echo "$$sdir/$$i"; \
  791. fi; \
  792. done >> $(top_builddir)/cscope.files
  793. distclean-tags:
  794. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  795. # Recover from deleted '.trs' file; this should ensure that
  796. # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  797. # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
  798. # to avoid problems with "make -n".
  799. .log.trs:
  800. rm -f $< $@
  801. $(MAKE) $(AM_MAKEFLAGS) $<
  802. # Leading 'am--fnord' is there to ensure the list of targets does not
  803. # expand to empty, as could happen e.g. with make check TESTS=''.
  804. am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  805. am--force-recheck:
  806. @:
  807. $(TEST_SUITE_LOG): $(TEST_LOGS)
  808. @$(am__set_TESTS_bases); \
  809. am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  810. redo_bases=`for i in $$bases; do \
  811. am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  812. done`; \
  813. if test -n "$$redo_bases"; then \
  814. redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  815. redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  816. if $(am__make_dryrun); then :; else \
  817. rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  818. fi; \
  819. fi; \
  820. if test -n "$$am__remaking_logs"; then \
  821. echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  822. "recursion detected" >&2; \
  823. elif test -n "$$redo_logs"; then \
  824. am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  825. fi; \
  826. if $(am__make_dryrun); then :; else \
  827. st=0; \
  828. errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  829. for i in $$redo_bases; do \
  830. test -f $$i.trs && test -r $$i.trs \
  831. || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  832. test -f $$i.log && test -r $$i.log \
  833. || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  834. done; \
  835. test $$st -eq 0 || exit 1; \
  836. fi
  837. @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  838. ws='[ ]'; \
  839. results=`for b in $$bases; do echo $$b.trs; done`; \
  840. test -n "$$results" || results=/dev/null; \
  841. all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
  842. pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
  843. fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
  844. skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
  845. xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  846. xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  847. error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  848. if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  849. success=true; \
  850. else \
  851. success=false; \
  852. fi; \
  853. br='==================='; br=$$br$$br$$br$$br; \
  854. result_count () \
  855. { \
  856. if test x"$$1" = x"--maybe-color"; then \
  857. maybe_colorize=yes; \
  858. elif test x"$$1" = x"--no-color"; then \
  859. maybe_colorize=no; \
  860. else \
  861. echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  862. fi; \
  863. shift; \
  864. desc=$$1 count=$$2; \
  865. if test $$maybe_colorize = yes && test $$count -gt 0; then \
  866. color_start=$$3 color_end=$$std; \
  867. else \
  868. color_start= color_end=; \
  869. fi; \
  870. echo "$${color_start}# $$desc $$count$${color_end}"; \
  871. }; \
  872. create_testsuite_report () \
  873. { \
  874. result_count $$1 "TOTAL:" $$all "$$brg"; \
  875. result_count $$1 "PASS: " $$pass "$$grn"; \
  876. result_count $$1 "SKIP: " $$skip "$$blu"; \
  877. result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  878. result_count $$1 "FAIL: " $$fail "$$red"; \
  879. result_count $$1 "XPASS:" $$xpass "$$red"; \
  880. result_count $$1 "ERROR:" $$error "$$mgn"; \
  881. }; \
  882. { \
  883. echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
  884. $(am__rst_title); \
  885. create_testsuite_report --no-color; \
  886. echo; \
  887. echo ".. contents:: :depth: 2"; \
  888. echo; \
  889. for b in $$bases; do echo $$b; done \
  890. | $(am__create_global_log); \
  891. } >$(TEST_SUITE_LOG).tmp || exit 1; \
  892. mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
  893. if $$success; then \
  894. col="$$grn"; \
  895. else \
  896. col="$$red"; \
  897. test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
  898. fi; \
  899. echo "$${col}$$br$${std}"; \
  900. echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}"; \
  901. echo "$${col}$$br$${std}"; \
  902. create_testsuite_report --maybe-color; \
  903. echo "$$col$$br$$std"; \
  904. if $$success; then :; else \
  905. echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
  906. if test -n "$(PACKAGE_BUGREPORT)"; then \
  907. echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
  908. fi; \
  909. echo "$$col$$br$$std"; \
  910. fi; \
  911. $$success || exit 1
  912. check-TESTS: $(check_PROGRAMS) $(dist_check_SCRIPTS)
  913. @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
  914. @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  915. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  916. @set +e; $(am__set_TESTS_bases); \
  917. log_list=`for i in $$bases; do echo $$i.log; done`; \
  918. trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  919. log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  920. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  921. exit $$?;
  922. recheck: all $(check_PROGRAMS) $(dist_check_SCRIPTS)
  923. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  924. @set +e; $(am__set_TESTS_bases); \
  925. bases=`for i in $$bases; do echo $$i; done \
  926. | $(am__list_recheck_tests)` || exit 1; \
  927. log_list=`for i in $$bases; do echo $$i.log; done`; \
  928. log_list=`echo $$log_list`; \
  929. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  930. am__force_recheck=am--force-recheck \
  931. TEST_LOGS="$$log_list"; \
  932. exit $$?
  933. tst-pam_debug.log: tst-pam_debug
  934. @p='tst-pam_debug'; \
  935. b='tst-pam_debug'; \
  936. $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  937. --log-file $$b.log --trs-file $$b.trs \
  938. $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  939. "$$tst" $(AM_TESTS_FD_REDIRECT)
  940. tst-pam_debug-retval.log: tst-pam_debug-retval$(EXEEXT)
  941. @p='tst-pam_debug-retval$(EXEEXT)'; \
  942. b='tst-pam_debug-retval'; \
  943. $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  944. --log-file $$b.log --trs-file $$b.trs \
  945. $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  946. "$$tst" $(AM_TESTS_FD_REDIRECT)
  947. .test.log:
  948. @p='$<'; \
  949. $(am__set_b); \
  950. $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  951. --log-file $$b.log --trs-file $$b.trs \
  952. $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  953. "$$tst" $(AM_TESTS_FD_REDIRECT)
  954. #.test$(EXEEXT).log:
  955. # @p='$<'; \
  956. # $(am__set_b); \
  957. # $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  958. # --log-file $$b.log --trs-file $$b.trs \
  959. # $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  960. # "$$tst" $(AM_TESTS_FD_REDIRECT)
  961. distdir: $(BUILT_SOURCES)
  962. $(MAKE) $(AM_MAKEFLAGS) distdir-am
  963. distdir-am: $(DISTFILES)
  964. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  965. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  966. list='$(DISTFILES)'; \
  967. dist_files=`for file in $$list; do echo $$file; done | \
  968. sed -e "s|^$$srcdirstrip/||;t" \
  969. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  970. case $$dist_files in \
  971. */*) $(MKDIR_P) `echo "$$dist_files" | \
  972. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  973. sort -u` ;; \
  974. esac; \
  975. for file in $$dist_files; do \
  976. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  977. if test -d $$d/$$file; then \
  978. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  979. if test -d "$(distdir)/$$file"; then \
  980. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  981. fi; \
  982. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  983. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  984. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  985. fi; \
  986. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  987. else \
  988. test -f "$(distdir)/$$file" \
  989. || cp -p $$d/$$file "$(distdir)/$$file" \
  990. || exit 1; \
  991. fi; \
  992. done
  993. check-am: all-am
  994. $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS) \
  995. $(dist_check_SCRIPTS)
  996. $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  997. check: check-am
  998. all-am: Makefile $(LTLIBRARIES) $(MANS) $(DATA)
  999. installdirs:
  1000. for dir in "$(DESTDIR)$(securelibdir)" "$(DESTDIR)$(man8dir)"; do \
  1001. test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  1002. done
  1003. install: install-am
  1004. install-exec: install-exec-am
  1005. install-data: install-data-am
  1006. uninstall: uninstall-am
  1007. install-am: all-am
  1008. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  1009. installcheck: installcheck-am
  1010. install-strip:
  1011. if test -z '$(STRIP)'; then \
  1012. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1013. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1014. install; \
  1015. else \
  1016. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1017. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1018. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  1019. fi
  1020. mostlyclean-generic:
  1021. -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  1022. -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  1023. -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  1024. clean-generic:
  1025. -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  1026. distclean-generic:
  1027. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  1028. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  1029. maintainer-clean-generic:
  1030. @echo "This command is intended for maintainers to use"
  1031. @echo "it deletes files that may require special tools to rebuild."
  1032. -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
  1033. clean: clean-am
  1034. clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
  1035. clean-securelibLTLIBRARIES mostlyclean-am
  1036. distclean: distclean-am
  1037. -rm -f ./$(DEPDIR)/pam_debug.Plo
  1038. -rm -f ./$(DEPDIR)/tst-pam_debug-retval.Po
  1039. -rm -f Makefile
  1040. distclean-am: clean-am distclean-compile distclean-generic \
  1041. distclean-tags
  1042. dvi: dvi-am
  1043. dvi-am:
  1044. html: html-am
  1045. html-am:
  1046. info: info-am
  1047. info-am:
  1048. install-data-am: install-man install-securelibLTLIBRARIES
  1049. install-dvi: install-dvi-am
  1050. install-dvi-am:
  1051. install-exec-am:
  1052. install-html: install-html-am
  1053. install-html-am:
  1054. install-info: install-info-am
  1055. install-info-am:
  1056. install-man: install-man8
  1057. install-pdf: install-pdf-am
  1058. install-pdf-am:
  1059. install-ps: install-ps-am
  1060. install-ps-am:
  1061. installcheck-am:
  1062. maintainer-clean: maintainer-clean-am
  1063. -rm -f ./$(DEPDIR)/pam_debug.Plo
  1064. -rm -f ./$(DEPDIR)/tst-pam_debug-retval.Po
  1065. -rm -f Makefile
  1066. maintainer-clean-am: distclean-am maintainer-clean-generic
  1067. mostlyclean: mostlyclean-am
  1068. mostlyclean-am: mostlyclean-compile mostlyclean-generic \
  1069. mostlyclean-libtool
  1070. pdf: pdf-am
  1071. pdf-am:
  1072. ps: ps-am
  1073. ps-am:
  1074. uninstall-am: uninstall-man uninstall-securelibLTLIBRARIES
  1075. uninstall-man: uninstall-man8
  1076. .MAKE: check-am install-am install-strip
  1077. .PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
  1078. check-am clean clean-checkPROGRAMS clean-generic clean-libtool \
  1079. clean-securelibLTLIBRARIES cscopelist-am ctags ctags-am \
  1080. distclean distclean-compile distclean-generic \
  1081. distclean-libtool distclean-tags distdir dvi dvi-am html \
  1082. html-am info info-am install install-am install-data \
  1083. install-data-am install-dvi install-dvi-am install-exec \
  1084. install-exec-am install-html install-html-am install-info \
  1085. install-info-am install-man install-man8 install-pdf \
  1086. install-pdf-am install-ps install-ps-am \
  1087. install-securelibLTLIBRARIES install-strip installcheck \
  1088. installcheck-am installdirs maintainer-clean \
  1089. maintainer-clean-generic mostlyclean mostlyclean-compile \
  1090. mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
  1091. recheck tags tags-am uninstall uninstall-am uninstall-man \
  1092. uninstall-man8 uninstall-securelibLTLIBRARIES
  1093. .PRECIOUS: Makefile
  1094. #-include $(top_srcdir)/Make.xml.rules
  1095. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  1096. # Otherwise a system limit (for SysV at least) may be exceeded.
  1097. .NOEXPORT: